RTEMS: ME_struct_tag Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
ME_struct_tag Struct Reference

## Data Fields
ME_GS_32B_tag | GS
ME_MCTL_32B_tag | MCTL
union {
ME_MEN_32B_tag MER
ME_MEN_32B_tag MEN
}; |
ME_IS_32B_tag | IS
ME_IM_32B_tag | IM
ME_IMTS_32B_tag | IMTS
ME_DMTS_32B_tag | DMTS
int8_t | ME_reserved_001C_C [4]
union {
ME_RESET_MC_32B_tag RESET_MC
ME_RESET_MC_32B_tag RESET
}; |
int8_t | ME_reserved_0024_C [4]
union {
ME_SAFE_MC_32B_tag SAFE_MC
ME_SAFE_MC_32B_tag SAFE
}; |
union {
ME_DRUN_MC_32B_tag DRUN_MC
ME_DRUN_MC_32B_tag DRUN
}; |
union {
ME_RUN_MC_32B_tag RUN_MC [4]
ME_RUN_MC_32B_tag RUN [4]
struct {
ME_RUN_MC_32B_tag RUN0_MC
ME_RUN_MC_32B_tag RUN1_MC
ME_RUN_MC_32B_tag RUN2_MC
ME_RUN_MC_32B_tag RUN3_MC
} |
}; |
union {
ME_HALT0_MC_32B_tag HALT0_MC
ME_HALT0_MC_32B_tag HALT0
}; |
int8_t | ME_reserved_0044_C [4]
union {
ME_STOP0_MC_32B_tag STOP0_MC
ME_STOP0_MC_32B_tag STOP0
}; |
int8_t | ME_reserved_004C_C [8]
union {
ME_STANDBY0_MC_32B_tag STANDBY0_MC
ME_STANDBY0_MC_32B_tag STANDBY0
}; |
int8_t | ME_reserved_0058_C [8]
union {
ME_PS_32B_tag PS [3]
struct {
ME_PS0_32B_tag PS0
ME_PS1_32B_tag PS1
ME_PS2_32B_tag PS2
} |
}; |
int8_t | ME_reserved_006C_C [20]
union {
ME_RUN_PC_32B_tag RUNPC [8]
ME_RUN_PC_32B_tag RUN_PC [8]
struct {
ME_RUN_PC_32B_tag RUN_PC0
ME_RUN_PC_32B_tag RUN_PC1
ME_RUN_PC_32B_tag RUN_PC2
ME_RUN_PC_32B_tag RUN_PC3
ME_RUN_PC_32B_tag RUN_PC4
ME_RUN_PC_32B_tag RUN_PC5
ME_RUN_PC_32B_tag RUN_PC6
ME_RUN_PC_32B_tag RUN_PC7
} |
}; |
union {
ME_LP_PC_32B_tag LPPC [8]
ME_LP_PC_32B_tag LP_PC [8]
struct {
ME_LP_PC_32B_tag LP_PC0
ME_LP_PC_32B_tag LP_PC1
ME_LP_PC_32B_tag LP_PC2
ME_LP_PC_32B_tag LP_PC3
ME_LP_PC_32B_tag LP_PC4
ME_LP_PC_32B_tag LP_PC5
ME_LP_PC_32B_tag LP_PC6
ME_LP_PC_32B_tag LP_PC7
} |
}; |
union {
ME_PCTL_8B_tag PCTL [144]
struct {
ME_PCTL_8B_tag PCTL0
ME_PCTL_8B_tag PCTL1
ME_PCTL_8B_tag PCTL2
ME_PCTL_8B_tag PCTL3
ME_PCTL_8B_tag PCTL4
ME_PCTL_8B_tag PCTL5
ME_PCTL_8B_tag PCTL6
ME_PCTL_8B_tag PCTL7
ME_PCTL_8B_tag PCTL8
ME_PCTL_8B_tag PCTL9
ME_PCTL_8B_tag PCTL10
ME_PCTL_8B_tag PCTL11
ME_PCTL_8B_tag PCTL12
ME_PCTL_8B_tag PCTL13
ME_PCTL_8B_tag PCTL14
ME_PCTL_8B_tag PCTL15
ME_PCTL_8B_tag PCTL16
ME_PCTL_8B_tag PCTL17
ME_PCTL_8B_tag PCTL18
ME_PCTL_8B_tag PCTL19
ME_PCTL_8B_tag PCTL20
ME_PCTL_8B_tag PCTL21
ME_PCTL_8B_tag PCTL22
ME_PCTL_8B_tag PCTL23
ME_PCTL_8B_tag PCTL24
ME_PCTL_8B_tag PCTL25
ME_PCTL_8B_tag PCTL26
ME_PCTL_8B_tag PCTL27
ME_PCTL_8B_tag PCTL28
ME_PCTL_8B_tag PCTL29
ME_PCTL_8B_tag PCTL30
ME_PCTL_8B_tag PCTL31
ME_PCTL_8B_tag PCTL32
ME_PCTL_8B_tag PCTL33
ME_PCTL_8B_tag PCTL34
ME_PCTL_8B_tag PCTL35
ME_PCTL_8B_tag PCTL36
ME_PCTL_8B_tag PCTL37
ME_PCTL_8B_tag PCTL38
ME_PCTL_8B_tag PCTL39
ME_PCTL_8B_tag PCTL40
ME_PCTL_8B_tag PCTL41
ME_PCTL_8B_tag PCTL42
ME_PCTL_8B_tag PCTL43
ME_PCTL_8B_tag PCTL44
ME_PCTL_8B_tag PCTL45
ME_PCTL_8B_tag PCTL46
ME_PCTL_8B_tag PCTL47
ME_PCTL_8B_tag PCTL48
ME_PCTL_8B_tag PCTL49
ME_PCTL_8B_tag PCTL50
ME_PCTL_8B_tag PCTL51
ME_PCTL_8B_tag PCTL52
ME_PCTL_8B_tag PCTL53
ME_PCTL_8B_tag PCTL54
ME_PCTL_8B_tag PCTL55
ME_PCTL_8B_tag PCTL56
ME_PCTL_8B_tag PCTL57
ME_PCTL_8B_tag PCTL58
ME_PCTL_8B_tag PCTL59
ME_PCTL_8B_tag PCTL60
ME_PCTL_8B_tag PCTL61
ME_PCTL_8B_tag PCTL62
ME_PCTL_8B_tag PCTL63
ME_PCTL_8B_tag PCTL64
ME_PCTL_8B_tag PCTL65
ME_PCTL_8B_tag PCTL66
ME_PCTL_8B_tag PCTL67
ME_PCTL_8B_tag PCTL68
ME_PCTL_8B_tag PCTL69
ME_PCTL_8B_tag PCTL70
ME_PCTL_8B_tag PCTL71
ME_PCTL_8B_tag PCTL72
ME_PCTL_8B_tag PCTL73
ME_PCTL_8B_tag PCTL74
ME_PCTL_8B_tag PCTL75
ME_PCTL_8B_tag PCTL76
ME_PCTL_8B_tag PCTL77
ME_PCTL_8B_tag PCTL78
ME_PCTL_8B_tag PCTL79
ME_PCTL_8B_tag PCTL80
ME_PCTL_8B_tag PCTL81
ME_PCTL_8B_tag PCTL82
ME_PCTL_8B_tag PCTL83
ME_PCTL_8B_tag PCTL84
ME_PCTL_8B_tag PCTL85
ME_PCTL_8B_tag PCTL86
ME_PCTL_8B_tag PCTL87
ME_PCTL_8B_tag PCTL88
ME_PCTL_8B_tag PCTL89
ME_PCTL_8B_tag PCTL90
ME_PCTL_8B_tag PCTL91
ME_PCTL_8B_tag PCTL92
ME_PCTL_8B_tag PCTL93
ME_PCTL_8B_tag PCTL94
ME_PCTL_8B_tag PCTL95
ME_PCTL_8B_tag PCTL96
ME_PCTL_8B_tag PCTL97
ME_PCTL_8B_tag PCTL98
ME_PCTL_8B_tag PCTL99
ME_PCTL_8B_tag PCTL100
ME_PCTL_8B_tag PCTL101
ME_PCTL_8B_tag PCTL102
ME_PCTL_8B_tag PCTL103
ME_PCTL_8B_tag PCTL104
ME_PCTL_8B_tag PCTL105
ME_PCTL_8B_tag PCTL106
ME_PCTL_8B_tag PCTL107
ME_PCTL_8B_tag PCTL108
ME_PCTL_8B_tag PCTL109
ME_PCTL_8B_tag PCTL110
ME_PCTL_8B_tag PCTL111
ME_PCTL_8B_tag PCTL112
ME_PCTL_8B_tag PCTL113
ME_PCTL_8B_tag PCTL114
ME_PCTL_8B_tag PCTL115
ME_PCTL_8B_tag PCTL116
ME_PCTL_8B_tag PCTL117
ME_PCTL_8B_tag PCTL118
ME_PCTL_8B_tag PCTL119
ME_PCTL_8B_tag PCTL120
ME_PCTL_8B_tag PCTL121
ME_PCTL_8B_tag PCTL122
ME_PCTL_8B_tag PCTL123
ME_PCTL_8B_tag PCTL124
ME_PCTL_8B_tag PCTL125
ME_PCTL_8B_tag PCTL126
ME_PCTL_8B_tag PCTL127
ME_PCTL_8B_tag PCTL128
ME_PCTL_8B_tag PCTL129
ME_PCTL_8B_tag PCTL130
ME_PCTL_8B_tag PCTL131
ME_PCTL_8B_tag PCTL132
ME_PCTL_8B_tag PCTL133
ME_PCTL_8B_tag PCTL134
ME_PCTL_8B_tag PCTL135
ME_PCTL_8B_tag PCTL136
ME_PCTL_8B_tag PCTL137
ME_PCTL_8B_tag PCTL138
ME_PCTL_8B_tag PCTL139
ME_PCTL_8B_tag PCTL140
ME_PCTL_8B_tag PCTL141
ME_PCTL_8B_tag PCTL142
ME_PCTL_8B_tag PCTL143
} |
}; |

The documentation for this struct was generated from the following file:

- bsps/powerpc/mpc55xxevb/include/mpc55xx/fsl-mpc564xL.h